

KEDIT.HLP

Appendix B of the KEDIT manual contains a version of this file.

* Some very important keys:
HOME      cursor to command line, handle pending prefix
          commands, leave Input Mode
ENTER     if cursor is on command line, enter command.
          Otherwise, move cursor to beginning of next line
F2        add a new line, move cursor to its left margin column

* Cursor Pad Keys:

          move cursor one position to the right
cursor left
          move cursor one position to the left
cursor up
          move cursor up one line; scroll if at the
          top of the text area
cursor down
          move cursor down one line; scroll if at the
          bottom of the text area
HOME      cursor to command line, handle pending prefix commands,

PGUP      move forward one windowful
PGDN      move backward one windowful
END       cursor to end of cursor line
DEL       delete character at cursor location
INS       toggle Insert Mode on/off
CTRL-cursor right
          tab to next word
CTRL-cursor left

CTRL-PGUP "top of file" line becomes current line
CTRL-PGDN bottom of file becomes current line
CTRL-END  delete from cursor to end of cursor line
CTRL-HOME cursor to upper left corner of text area
CTRL-BREAK interrupt certain long running commands
PLUS key on right of keyboard
           toggle between prefix and text area, handle pending
           prefix commands
ALT-numeric pad
           enter special ASCII code

* Typewriter Area Keys:
ENTER     if cursor is on command line, enter command. Otherwise,
          move cursor to beginning of next line
ESC       undo changes made to cursor line since
          cursor entered the line
TAB       move to next tab column or field
SHIFT-TAB move to previous tab column or field
BACKSPACE move cursor one position left,


           prefix commands
ALT-A     add a new line, move cursor to left margin column
ALT-B     box block mark - mark one corner of a box
ALT-C     copy a block
ALT-D     delete line
ALT-F     fill box with a specified character
ALT-G     group delete - delete a block
ALT-H     view KEDIT.HLP file
ALT-J     join two lines
ALT-K     copy a block, and leave block marked
ALT-L     line block mark - mark either end of a line block
ALT-M     move a block
ALT-O     overlay - box block overlays area starting at cursor
ALT-R     recover a changed or deleted line
ALT-S     split a line
ALT-U     unmark a block
ALT-W     word delete
ALT-Z     stream block mark - mark either end of stream block
ALT-1     POINT .A
ALT-2     POINT .B
ALT-3     POINT .C
ALT-4     go to line named .A
ALT-5     go to line named .B
ALT-6     go to line named .C
ALT-=     duplicate cursor line
CTRL-A    adjust text so first nonblank character in cursor line
          is under the cursor
CTRL-C    center a line
CTRL-F    format a paragraph
CTRL-L    left adjust a line
CTRL-P    paragraph - start a new paragraph
CTRL-R    right adjust a line

* Function Keys:
F1        cursor to current line
F2        add a new line, move cursor to its left margin column
F3        QUIT current file
F4        move cursor to next tab column
F5        cursor line becomes current line
F6        ? - redisplay last command line
F7        cursor to column 1 of cursor line
F8        duplicate cursor line
F9        = - reissue last command
F10       cursor to command line of next window
SHIFT-F1  reissue last LOCATE command
SHIFT-F2  cursor to column pointer column of current line
SHIFT-F3  page up half the height of the window
SHIFT-F4  page down half the height of the window
SHIFT-F5  uppercase block
SHIFT-F6  lowercase block
SHIFT-F7  shift contents of block one char to the left
SHIFT-F8  shift contents of block one char to the right
SHIFT-F9  move cursor half width of window to the left
SHIFT-F10 move cursor half width of window to the right
ALT-F9    allows input of special ASCII codes
ALT-F10   refreshes screen after DOS message has appeared

* Examples of KEDIT Targets
absolute line number targets:     :10  :18  :52
relative line number targets:     12  -8  16
string targets:                   /abc/  /Hello/  -/abc/ ~/1234/
                                  /abc/ & /def/
                                  /x/ | /y/ | /z/
named line targets:               .A .HELLO .ABC
group targets:                    ALL BLOCK PARAgraph

* Examples of KEDIT Column Targets
absolute column targets:          :16 :1 :38
relative column targets:          1   -2  4
string column targets:            /Joe/  /abc/  -/George/   ~/ /
                                  /Ed/ | /Frank/

* KEDIT Commands
Add (n)
  Add n blank lines
ALter char1 char2 (target) (n) (m)
  Change n occurrences, starting at the m'th occurrence, of
  char1 to char2 in each line through the target line
BAckward (n|*)
  Move backward n screens in the file
Bottom
  Bottom line becomes the current line
CANCEL
  Issue QUIT commands for all files in the ring
CAppend (text)
  Append text to current line
CDelete (column-target)
  Delete text from current column through column target
CEnter (target)
  Center specified text within current margins
CFirst
  Move the column pointer to the left zone column
Change /string1/string2/ (target) (n) (m)
  Change n occurrences, starting at the m'th occurrence, of
  string1 to string2 in each line throughout the target line
CInsert (text)
  Insert text after current column
CLAst
  Move the column pointer to the right zone column
CLocate (column-target)
  Move the column pointer to point to the column target
CMSG text
  Display text in command line
COMMAND commandline
  Execute command in commandline without first looking for synonyms
COMPress (target)
  Compress blanks in lines from current line through target line
  according to current TAB settings
COpy target1 target2
  Lines through (but not including) target1 are copied following
  target2
COVerlay text
   Overlay text starting at current column
CReplace (text)
   Replace text starting at the current column
DEFine keyname (keydefinition)
  Display or change a keydefinition
DELete (target)
  Delete lines from current line up to (but not including) the target line
DIR (fileid)
  View directory of DOS disk
DIRAppend (fileid)
  Append directory of DOS disk
DOS (doscommand)
DOSNowait (doscommand)
  Invoke DOS from within KEDIT
Down (n)
  Line n lines below current line becomes current line
DUPlicate (n)
  Current line is duplicated n times
Edit (fileid)
  Begin editing specified file
EMSG text
  Display error message on message line
ERASE fileid
  Erase a file from disk
EXec fileid
  Execute commands in a .KED file
EXPand (target)
  Expand tabs in lines from current line through target line
  according to current TAB settings
FILE (fileid)
  Finish editing a file and write it to disk
Find text
  Look for line beginning with specified text
FINDUp text
  Look for line beginning with specified text
FORMfeed
  Send formfeed character to printer
FOrward (n|*)
  Move forward n screens in the file
FUp text
  Look for line beginning with specified text
GDUP (n)
  Duplicate a block n times
GETfile (fileid) (fromline) (forlines)
  Insert specified portion of a file into current file
HEXType
  Display current line in hexadecimal and decimal
HIT keyname
  Simulate hitting the specified key
IFEXT extension command
  Execute command if current files extension matches extension given
IFINITial command
  Execute command only if PROFILE.KED is being executed at KEDIT startup
Input (text)
  Input a line of text
Kedit (fileid)
  Begin editing specified file
KEYDEFs (All|Changed|Internal)
  Create a file containing all current keydefinitions,
  or all changed keydefinitions, or internal form of changed
  definitions.
LEft n
  Subtract n from current VERIFY setting
LEFTAdjust (target)
  Left adjust specified text at current left margin
(Locate) target
  Make specified target line become the current line
LOWercase (target)
  Lowercase text in lines from current line up to
  (but not including) target line
MODify option
  Modify value of any SET option
MOve target1 target2
  Lines through (but not including) target1 are copied following target2
MSG text
  Display message on message line
Next (n)
  Make line n lines below current line become current line
NEXTWindow
  Move cursor to command line of the next window
NFind text
  Look for next line that does not start with specified text
NFINDUp text
  Look upwards for next line that not starting with specified text
NFUp text
  Look upwards for next line that not starting with specified text
Overlay text
  Overlay current line with specified text
Point name
  Name a line
PREServe
  Save current values of most SET options for later RESTORE
PREVWindow
  Move cursor to command line of the previous window
PRint (target) (n)
  Print all lines through target line, using pagesize of "n"
PUT (target) (fileid)
  Append text to specified disk file
PUTd (target) (fileid)
  Append text to specified disk file, then delete text from current file
QQuit
  Finish with current file.
  Don't write file back to disk; abandon any changes
Query option
  Query value of most SET options. Also allowed: Query TIME,
  Query COLumn, Query RING, Query NBFile, Query LASTmsg, Query LENgth,
  Query SYNonym *, Query PREfix Synonym *
QUIT
  Finish with current file, which has not been changed.
  Don't write file back to disk
RECover (n)
  Recover the last n changed or deleted lines
REName fileid1 fileid2
  Rename file on DOS disk
REPEat (target)
  Repeatedly move 1 line closer to target and reexecute last command
Replace (text)
  Replace a line of text
RESet
  Reset pending prefix commands, blocks
RESTore
  Restore SET option values saved by PRESERVE command
RIght n
  Add n to current VERIFY setting
RIGHTAdjust (target)
q Right adjust specified text at current right margin
SAVE (fileid)
  Save file to disk
SCHange /string1/string2/ (target) (n) (m)
  Selectively change n occurrences (starting at the
  m'th occurrence) in each line from
  current line through target line of string1 to string2
(Set) option value
  Set value of any SET option (see below for summary of SET options)
SHift Left|Right (n) (target)
  Shift lines from current line through target line left or right
  n columns
SORT target (Ascending|Descending) n1 m1 n2 m2 ....
  Sort text from current line up to (but not including) target
  line in specified order according to specified sort fields
STATus
  Display the current value of all SET options
TFind (target)
  Locates target, which must start in left zone column if it is a
  string target
TOP
  Make the "top of file" line become the current line
Up (n)
  Make line n lines above current line become current line
UPPercase (target)
  Uppercase text in lines from current line up to
  (but not including) target line
Xedit (fileid)
  Begin editing specified file
?
  Redisplay last line entered
= (command)
  Issue specified command and then reissue last command given
*
  Ignore all text following on command line
&
  Do commands on command line, then redisplay command line

* KEDIT SET Options
 Set  ALT n
  Reset alteration count for current file
(Set) ARBchar ON|OFF char1 char2
  Default: ARBCHAR OFF $ ?
  Controls use of wildcard characters in string searches
(Set) ARRow ON|OFF
  Default: ARROW ON
  Marks the command line with an arrow
(Set) ATTRibutes n1 n2 ... n13
  Default: ATTRIBUTES 7 15 112 120 7 7 15 15 7 15 7 7 15
  Controls colors and highlighting used on the screen.
(Set) AUtosave OFF|n (OVERwrite|AUS)
  Default: AUTOSAVE OFF OVERWRITE
  Controls number of alterations to a file before it is
  automatically saved to disk
(Set) AUTOSCroll Half|n|OFF
  Default: AUTOSCROLL HALF
  Controls how many columns automatic horizontal scrolling shifts
  the window
(Set) BACKup OFF|TEMP|KEEP
  Default: BACKUP OFF
  Controls creation of .BAK files when files are written to disk
(Set) BEEP ON|OFF
  Default: BEEP OFF
  With BEEP ON, speaker beeps when an error occurs
(Set) BORDer n
  Default: BORDER 0
  Controls border color displayed on color display
(Set) CASE Mixed|Upper (Respect|Ignore) (Respect|Ignore)
  Default: CASE MIXED IGNORE RESPECT
  Controls handling of upper/lowercase in input and in string searches
(Set) CMDline TOP|BOTTOM
  Default: CMDLINE BOTTOM
  Controls location in the window of the command line
(Set) CURLine (ON) n
  Default: CURLINE 14
  Controls where in window current line is displayed
(Set) DBASE ON|OFF
  Default: DBASE OFF
  Causes files to be written to disk in 512 byte multiples
  required by dBASE II version 2.4
(Set) DEFEXT ON|OFF
  Default: DEFEXT OFF
  Allows default value for file extension in KEDIT, SAVE,
  FILE, and GETFILE commands
(Set) EOFchar ON|OFF
  Default: EOFCHAR ON
  Controls whether end-of-file character is added to files
  written to disk
(Set) FILEID fileid
  Default: the fileid given with the KEDIT command
  Sets default fileid used to FILE or SAVE the file
(Set) FMode drive
  Default: the drive specifier of the current fileid
  Sets drive specifier for the current file
(Set) FName name
  Default: the current file's name
  Sets name of the current file
(Set) FORMAT Justify|NOJustify EMPTY|EXTENDed SIngle|DOuble
  Default: FORMAT NOJUSTIFY EMPTY DOUBLE
  Controls options used in paragraph reformatting
(Set) FType ext
  Default: the current file's extension
  Sets extension of the current file
(Set) HEIGHT 25|43 (RESET|PRESET)
  Default: 25 RESET
  Controls use of 43 line mode on IBM Enhanced Graphics Adapter
(Set) HEX ON|OFF
  Default: HEX OFF
  Enables entry of hexadecimal or decimal values for string
  targets and in CHANGE commands
(Set) HEXDISPlay ON|OFF
  Default: HEXDISPLAY OFF
  Causes running display of ASCII codes of cursor character
(Set) INPUTMode OFF|FUll|LIne
  Default: INPUTMODE OFF
  Controls operation of input mode
(Set) LINENd ON|OFF (char)
  Default: LINEND OFF #
  Controls multiple commands on command line
(Set) LRecl n
  Default: LRECL 255
  Controls record length of text written to disk
(Set) MARgins left right (parindent)
  Default: MARGINS 1 72 1
  Set margins used for word processing functions
(Set) NEWLines SAMELine|BELOW|BELOWCurr
  Default: NEWLINES SAMELINE
  Controls placement on the screen of lines added to the file
(Set) NUMber ON|OFF
  Default: NUMBER OFF
  Cause line numbers of each line to be displayed in prefix area
(Set) PATH ON|OFF
  Default: PATH ON
  Cause KEDIT and GETFILE commands to search for files in
  directories defined via DOS PATH command
(Set) PREfix ON|OFF Left|RIght
(Set) PREfix Synonym newname oldname
  Default: PREFIX OFF LEFT
  Controls display of the prefix area and synonyms for prefix commands
(Set) RECFm Varying|Fixed
  Default: RECFM VARYING
  Controls whether text is written to disk in fixed or varying length
  lines
(Set) REPROFile ON|OFF
  Default: REPROFILE OFF
  Cause PROFILE.KED to be reexecuted whenever a new file
  is added to the ring
(Set) RESERved n attr text
(Set) RESERved n OFF
  Displays (or ends display of) "text" in line "n" of display using
  attribute "attr"
(Set) RETRace ON|OFF
  Default: RETRACE ON
  Allows faster screen updating with some display adapters
(Set) SCALe ON|OFF (n)
  Default: SCALE OFF 14
  Causes scale line to be displayed in line n
(Set) SCReen n (Vertical)
(Set) SCReen Size n1 (Vertical) n2 (Vertical) ...
  Default: SCREEN SIZE 25
  Sets size and number of windows displayed on screen,
  controls vertically split screens
(Set) SHIFTState ON|OFF
  Default: SHIFTSTATE OFF
  Controls display, in upper right of screen, of Caps Lock, Insert Mode,
  Num Lock, and Scroll Lock status.
(Set) STAY ON|OFF
  Default: STAY ON
  Controls current line position many commands
(Set) STReam ON|OFF
  Default: STREAM ON
  Controls whether column target searches search the entire file
  or only the current line
(Set) SYNonym ON|OFF
(Set) SYNonym (LINEND char) newname (n) definition
  Default: SYNONYM ON
  Controls use and definition of synonyms for KEDIT commands
(Set) TABLine ON|OFF (n)
  Default: TABLine OFF 25
  Causes tab line to be displayed in line n
(Set) TABs n1 n2 n3 ... n32
  Default: TABS 1 9 17 25 33 41 ... 249
  Sets tab columns
(Set) TABSIn ON|OFF
  Default: TABSIN OFF
  Causes tabs in input files to be automatically expanded
(Set) TABSOut ON|OFF
  Default: TABSOUT OFF
  Causes automatic blank compression when SAVEing or FILEing
(Set) VARblank ON|OFF
  Default: VARBLANK OFF
  Controls how multiple blanks are handled in string searches
(Set) Verify n
  Default: VERIFY 1
  Controls which column of text is displayed in column 1
  of the text area
(Set) WORD NONBlank|ALPHAnum
  Default: WORD NONBLANK
  Controls what is a "word" for tab word, delete word keys
(Set) WORDWrap ON|OFF
  Default: WORDWRAP OFF
  Enables/disables wordwrap feature
(Set) WRap ON|OFF
  Default: WRap OFF
  Controls whether string searches wrap around the end of the file
(Set) Zone n1 n2
  Default: ZONE 1 255
  Controls columns examined in string searches

* KEDIT Prefix Area Commands
A         Add
D         Delete
F         Following
I         Insert
M         Move
P         Preceding
/         Make current line
<         Shift left
>         Shift right
"         Duplicate
.xxxx     Name line
SCALE     Scale line
TABL      Tab line
